cURL
curl -X GET "https://api.cryptoquant.com/v2/community/bitcoin-metcalfe-price?window=day" \
-H "Authorization: Bearer <YOUR_API_KEY>"fetch("https://api.cryptoquant.com/v2/community/bitcoin-metcalfe-price?window=day", { headers: { "Authorization": "Bearer <YOUR_API_KEY>"} })
.then(response => response.json())
.then(data => console.log(data))require('axios')
.get("https://api.cryptoquant.com/v2/community/bitcoin-metcalfe-price?window=day", { headers: { Authorization: 'Bearer <YOUR_API_KEY>' } })
.then(response => console.log(response))require 'net/http'
uri = URI("https://api.cryptoquant.com/v2/community/bitcoin-metcalfe-price?window=day")
req = Net::HTTP::Get.new(uri)
req["Authorization"] = "Bearer <YOUR_API_KEY>"
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.bodyimport requests
headers = {'Authorization': 'Bearer <YOUR_API_KEY>'}
url = "https://api.cryptoquant.com/v2/community/bitcoin-metcalfe-price?window=day"
print(requests.get(url, headers=headers).json())<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cryptoquant.com/v2/community/bitcoin-metcalfe-price",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cryptoquant.com/v2/community/bitcoin-metcalfe-price"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cryptoquant.com/v2/community/bitcoin-metcalfe-price")
.header("Authorization", "Bearer <token>")
.asString();{
"status": {
"code": 200,
"message": "success"
},
"result": {
"window": "<string>",
"data": [
{
"datetime": "2026-06-14 00:00:00",
"active_addresses_squared_price_365ma": 23036.88,
"active_addresses_squared_50_price_365ma": 11518.44,
"active_addresses_squared_25_price_365ma": 5759.22,
"active_addresses_squared_10_price_365ma": 2303.69,
"active_addresses_squared_3x_price_365ma": 69110.65,
"active_addresses_squared_2x_price_365ma": 46073.77,
"active_addresses_squared_04_price_365ma": 921.48
}
]
}
}Community-built Indicators
Bitcoin Metcalfe's Price
Bitcoin price valuation based on Metcalfe’s model following the formula A*Active addresses^ 2. Each band represents a different value of A (3, 2, 1, 0.5, 0.25, 0.1 and 0.04)
GET
/
community
/
bitcoin-metcalfe-price
cURL
curl -X GET "https://api.cryptoquant.com/v2/community/bitcoin-metcalfe-price?window=day" \
-H "Authorization: Bearer <YOUR_API_KEY>"fetch("https://api.cryptoquant.com/v2/community/bitcoin-metcalfe-price?window=day", { headers: { "Authorization": "Bearer <YOUR_API_KEY>"} })
.then(response => response.json())
.then(data => console.log(data))require('axios')
.get("https://api.cryptoquant.com/v2/community/bitcoin-metcalfe-price?window=day", { headers: { Authorization: 'Bearer <YOUR_API_KEY>' } })
.then(response => console.log(response))require 'net/http'
uri = URI("https://api.cryptoquant.com/v2/community/bitcoin-metcalfe-price?window=day")
req = Net::HTTP::Get.new(uri)
req["Authorization"] = "Bearer <YOUR_API_KEY>"
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.bodyimport requests
headers = {'Authorization': 'Bearer <YOUR_API_KEY>'}
url = "https://api.cryptoquant.com/v2/community/bitcoin-metcalfe-price?window=day"
print(requests.get(url, headers=headers).json())<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cryptoquant.com/v2/community/bitcoin-metcalfe-price",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cryptoquant.com/v2/community/bitcoin-metcalfe-price"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cryptoquant.com/v2/community/bitcoin-metcalfe-price")
.header("Authorization", "Bearer <token>")
.asString();{
"status": {
"code": 200,
"message": "success"
},
"result": {
"window": "<string>",
"data": [
{
"datetime": "2026-06-14 00:00:00",
"active_addresses_squared_price_365ma": 23036.88,
"active_addresses_squared_50_price_365ma": 11518.44,
"active_addresses_squared_25_price_365ma": 5759.22,
"active_addresses_squared_10_price_365ma": 2303.69,
"active_addresses_squared_3x_price_365ma": 69110.65,
"active_addresses_squared_2x_price_365ma": 46073.77,
"active_addresses_squared_04_price_365ma": 921.48
}
]
}
}What it measures
Fair value modeled from Metcalfe’s Law as A × active addresses², where the coefficient A is calibrated from the historical relationship between market cap and active addresses² (i.e. A ≈ market cap ÷ active addresses²). Different A-coefficients produce a family of upper/lower valuation bands.How to interpret it
Central Metcalfe Price = network-activity-based fair value. Higher A bands (3x, 2x) = upper valuation limits historically acting as resistance in bull markets. Lower A bands (0.5, 0.25, 0.1, 0.04) = lower support/fair value range. Bands themselves move with network activity levels.Key thresholds
Red band (higher A): price resistance in bull markets, short-term rally targets; A=2x band: key support/resistance (~$91K in Nov 2025); Blue band (lower A): lower fair value support; Price between red and blue bands since Feb 2024 = “fair value range”How to use it
Assess whether price is fundamentally supported by user activity. Price above red band = overvalued vs. network usage. Price bouncing off blue band = fundamental support. Watch bands shift downward when network activity (e.g. OP_RETURN, transactions) declines.Run this metric in CryptoQuant Analytics
Authorizations
For each API request, include the Authorization HTTP header with Bearer <YOUR_API_KEY>.
Query Parameters
Time interval for aggregation.
Starting time, formatted as YYYYMMDDTHHMMSS (UTC). If window=day, YYYYMMDD is also accepted.
Ending time, formatted as YYYYMMDDTHHMMSS (UTC). If window=day, YYYYMMDD is also accepted.
Maximum number of data rows to return. Ranges from 1 to 10,000.
Required range:
1 <= x <= 10000